API KEYS
Rotate an API key
POST
/v1/api-keys/{id}/rotateSee the request and response contract below.
Backend integrationYour backend and SDK use a tenant API key.
Try itAvailable for creating, reading, and deleting verification sessions in Test. Other operations are reference-only; API-key protected routes require a tenant API key on your backend. Open a session request
Parameters
| Name | Location | Required | Schema | Description |
|---|---|---|---|---|
id | path | Yes | string | — |
Responses
Response 200
JSON response
application/json · Response schema
idstringrequirednamestring,nulloptionalscopesarray<string>optionalapi_keystringrequiredlivemodebooleanrequiredWhether this key targets live data. False means sandbox/test data.
expires_atstring,null · date-timerequiredAbsolute UTC expiry. Null means the key does not expire.
last_used_atstring,null · date-timerequiredMost recent successful authentication. Null means the key has not been used.
View JSON schema
{
"type": "object",
"required": [
"id",
"api_key",
"livemode",
"expires_at",
"last_used_at"
],
"properties": {
"id": {
"type": "string"
},
"name": {
"type": [
"string",
"null"
]
},
"scopes": {
"type": "array",
"items": {
"type": "string"
}
},
"api_key": {
"type": "string",
"writeOnly": true
},
"livemode": {
"type": "boolean",
"description": "Whether this key targets live data. False means sandbox/test data."
},
"expires_at": {
"type": [
"string",
"null"
],
"format": "date-time",
"description": "Absolute UTC expiry. Null means the key does not expire."
},
"last_used_at": {
"type": [
"string",
"null"
],
"format": "date-time",
"description": "Most recent successful authentication. Null means the key has not been used."
}
}
}Response 401
Error response
application/json · Response schema
errorstringrequiredmessagestringrequired
View JSON schema
{
"type": "object",
"required": [
"error",
"message"
],
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
}
}
}Response 403
Error response
application/json · Response schema
errorstringrequiredmessagestringrequired
View JSON schema
{
"type": "object",
"required": [
"error",
"message"
],
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
}
}
}Response 404
Error response
application/json · Response schema
errorstringrequiredmessagestringrequired
View JSON schema
{
"type": "object",
"required": [
"error",
"message"
],
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
}
}
}